Commit 34d1f6e9 authored by Florent Chehab's avatar Florent Chehab

Updated non critical node modules

parent 68fa3805
Pipeline #35329 passed with stages
in 3 minutes and 44 seconds
{
"presets": [
"env",
"react",
"es2015",
"stage-1"
"@babel/preset-env",
"@babel/preset-react",
],
"plugins": [
"transform-class-properties",
"react-hot-loader/babel"
]
}
\ No newline at end of file
"react-hot-loader/babel",
"@babel/plugin-proposal-class-properties",
],
}
This diff is collapsed.
......@@ -19,60 +19,57 @@
"author": "",
"license": "ISC",
"dependencies": {
"@babel/core": "^7.0.0",
"@material-ui/core": "^3.1.0",
"@material-ui/icons": "^2.0.3",
"@material-ui/lab": "^3.0.0-alpha.16",
"babel-preset-stage-0": "^6.24.1",
"date-fns": "^2.0.0-alpha.16",
"downshift": "^2.2.0",
"fuzzysort": "^1.1.4",
"js-cookie": "^2.2.0",
"leaflet": "^1.3.4",
"leaflet": "^1.4.0",
"lodash": "^4.17.11",
"material-ui-pickers": "^1.0.0-rc.14",
"react": "^16.5.1",
"react-awesome-slider": "^0.5.2",
"react-dom": "^16.5.1",
"react-leaflet": "^2.0.1",
"react-markdown": "^3.6.0",
"react-markdown": "^4.0.6",
"react-redux": "^6.0.1",
"react-router-dom": "^4.3.1",
"react-swipeable-views": "^0.12.17",
"redux": "^4.0.0",
"redux": "^4.0.1",
"redux-logger": "^3.0.6",
"redux-thunk": "^2.3.0",
"typeface-roboto": "0.0.54"
},
"devDependencies": {
"autoprefixer": "^9.1.5",
"babel-core": "^6.26.3",
"@babel/core": "^7.3.3",
"@babel/plugin-proposal-class-properties": "^7.0.0",
"@babel/polyfill": "^7.0.0",
"@babel/preset-env": "^7.0.0",
"@babel/preset-react": "^7.0.0",
"autoprefixer": "^9.4.8",
"babel-eslint": "^10.0.1",
"babel-loader": "^7.1.5",
"babel-plugin-transform-class-properties": "^6.24.1",
"babel-polyfill": "^6.26.0",
"babel-preset-env": "^1.7.0",
"babel-preset-es2015": "^6.24.1",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-1": "^6.24.1",
"css-loader": "^1.0.0",
"eslint": "^5.13.0",
"eslint-config-google": "^0.9.1",
"babel-loader": "^8.0.5",
"css-loader": "^2.1.0",
"eslint": "^5.14.1",
"eslint-plugin-react": "^7.12.4",
"file-loader": "^2.0.0",
"file-loader": "^3.0.1",
"js-yaml-loader": "^1.0.1",
"mini-css-extract-plugin": "^0.4.2",
"node-sass": "^4.9.3",
"mini-css-extract-plugin": "^0.5.0",
"node-sass": "^4.11.0",
"postcss-loader": "^3.0.0",
"prop-types": "^15.6.2",
"prop-types": "^15.7.2",
"react-hot-loader": "^4.6.5",
"react-lorem-component": "^0.13.0",
"react-script": "^2.0.5",
"sass-loader": "^7.1.0",
"webpack": "^4.17.0",
"webpack-bundle-analyzer": "^3.0.2",
"webpack": "^4.29.5",
"webpack-bundle-analyzer": "^3.0.4",
"webpack-bundle-tracker": "^0.4.2-beta",
"webpack-cli": "^3.1.0",
"webpack-dev-server": "^3.1.14",
"webpack-cli": "^3.2.3",
"webpack-dev-server": "^3.2.0",
"webpack-merge": "^4.2.1"
}
}
import React from "react";
const UnivContext = React.createContext();
export default UnivContext;
\ No newline at end of file
export default UnivContext;
......@@ -7,7 +7,7 @@ const config = {
"./src/index",
],
vendor: [
"babel-polyfill",
"@babel/polyfill",
]
},
output: {
......@@ -21,7 +21,6 @@ const config = {
exclude: /node_modules/,
loader: "babel-loader",
options: {
presets: ["es2015", "react", "stage-0"],
compact: true
},
},
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment